Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(92)

Unified Diff: tools/install_dependencides.sh

Issue 239303010: install_dependencides tool for posix-type systems (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 6 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/install_dependencides.sh
diff --git a/tools/install_dependencides.sh b/tools/install_dependencides.sh
new file mode 100755
index 0000000000000000000000000000000000000000..f262117660558ed43f424f66e36c01bb5939ed62
--- /dev/null
+++ b/tools/install_dependencides.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright 2014 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+if command -v lsb_release > /dev/null ; then
+ case $(lsb_release -i -s) in
+ Ubuntu)
+ sudo apt-get install \
+ build-essential \
+ libfreetype6-dev \
+ libfontconfig-dev \
+ libpng12-dev \
+ libgif-dev \
+ libqt4-dev \
+ clang
+ if [ $(lsb_release -r -s) = '14.04' ] ; then
+ sudo apt-get install \
+ ninja-build
+ fi
+ exit
+ ;;
+ esac
+fi
+
+echo 'unknown system'
+exit 1
+
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698